# File::      <tt>params.pp</tt>
# Author::    UL HPC Team (hpc-sysadmins@uni.lu)
# Copyright:: Copyright (c) 2018 UL HPC Team
# License::   Apache-2.0
#
# ------------------------------------------------------------------------------
# You need the 'future' parser to be able to execute this manifest (that's
# required for the each loop below).
#
# Thus execute this manifest in your vagrant box as follows:
#
#      sudo puppet apply -t --parser future /vagrant/tests/params.pp
#
#

include 'redis::params'

$names = ["ensure", "protocol", "port", "packagename"]

notice("redis::params::ensure = ${redis::params::ensure}")
notice("redis::params::protocol = ${redis::params::protocol}")
notice("redis::params::port = ${redis::params::port}")
notice("redis::params::packagename = ${redis::params::packagename}")

#each($names) |$v| {
#    $var = "redis::params::${v}"
#    notice("${var} = ", inline_template('<%= scope.lookupvar(@var) %>'))
#}
